The latest service changes have not yet been reflected in this content. We will update the content as soon as possible. Please refer to the Korean version for information on the latest updates.
Available in VPC
Reset the password for a CMAK access account.
Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
|---|---|
| POST | /api/v1/cluster/resetCMAKPassword/{serviceGroupInstanceNo} (Korea Region) |
| POST | /api/sgn-v1/cluster/resetCMAKPassword/{serviceGroupInstanceNo} (Singapore Region) |
| POST | /api/jpn-v1/cluster/resetCMAKPassword/{serviceGroupInstanceNo} (Japan Region) |
Request headers
For information about the headers common to all Cloud Data Streaming Service APIs, see Cloud Data Streaming Service request headers.
Request path parameters
You can use the following path parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
serviceGroupInstanceNo |
Integer | Required | Cluster instance number
|
Request body
You can include the following data in the body of your request:
| Field | Type | Required | Description |
|---|---|---|---|
kafkaManagerUserPassword |
String | Required | New password
|
Request example
The request example is as follows:
curl --location --request POST 'https://clouddatastreamingservice.apigw.ntruss.com/api/v1/cluster/resetCMAKPassword/1009*****' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--data '{
"kafkaManagerUserPassword": "asd123!@#"
}'
Response
This section describes the response format.
Response body
The response body includes the following data:
| Field | Type | Required | Description |
|---|---|---|---|
code |
Integer | - | Response code |
message |
String | - | Response message |
result |
Boolean | - | Response result
|
requestId |
String | - | ID for the request
|
Response status codes
For information about the HTTP status codes common to all Cloud Data Streaming Service APIs, see Cloud Data Streaming Service response status codes.
Response example
The response example is as follows:
{
"code": 0,
"message": "SUCCESS",
"result": true,
"requestId": "36c9ae11-****-****-****-f5886964fed6"
}